import 'package:flutter/material.dart';

class MyMainPage extends StatefulWidget {
  @override
  _MyMainPageState createState() => new _MyMainPageState();
}

class _MyMainPageState extends State<MyMainPage> {
//  TextEditingController usernameController = new TextEditingController();
//  TextEditingController passwordController = new TextEditingController();
//  bool displayPassword = false;
//  bool isAnimating = false;
//  bool isSavePassword = false;
  final usericon = Image.asset('assets/images/login/2.0x/username_red.png');

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(10.0),
      child: Row(
        children: [
          Column(
            children: <Widget>[
              Container(
                child: usericon,
              )
            ],
          ),
          const Padding(padding: const EdgeInsets.only(left: 5.0)),
          Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Container(
                padding: const EdgeInsets.only(bottom: 8.0),
                child: const Text(
                  '王多余',
                  style: TextStyle(
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ),
              Text(
                '中科集团/生产部',
                style: TextStyle(
                  color: Colors.grey[500],
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }

//  login(String userName,String password,bool savePassword)async{
//    Navigator.of(context).pushAndRemoveUntil(
//        new MaterialPageRoute(
//            builder: (context) => NavigationKeepAlive()),
//            (route) => route == null);
//  }

  @override
  void initState() {
    super.initState();
  }
}
